update from 3.2U to 3.3U

Discussion in 'Wii - Hacking' started by priapism, Jul 23, 2008.

Jul 23, 2008

update from 3.2U to 3.3U by priapism at 5:49 PM (1,454 Views / 0 Likes) 10 replies

  1. priapism
    OP

    Member priapism GBAtemp Fan

    Joined:
    May 12, 2008
    Messages:
    374
    Country:
    United States
    i have searched the forum and can't find an answer to this particular question.

    i am currently using version 3.2U. i don't use the Twilight Hack because i already have the HomeBrew Channel installed. however, i have used WUM to change the updates on discs so that my Wii doesn't ask to update to 3.3U when i play newer games.

    is using WUM to change updates considered signing?
    if i do update will these discs stop working?
    with my current setup, what other problems would i run into if i updated?
     
  2. Cyan

    Global Moderator Cyan GBATemp's lurking knight

    Joined:
    Oct 27, 2002
    Messages:
    16,395
    Location:
    Engine room, learning
    Country:
    France
    It's not signed, but it's detected [​IMG]
    I'm in 3.3E and my WUM edited games give a message error

    "An error has occured. Press the Eject Button and remove the disc,
    then turn the Wii console off and refer to the Wii Operations Manual for help troubleshooting"

    I didn't test all my games yet, but I'm sad it's not working, I thought only no more heroes will be affected (trucha).
    I liked seeing the game channel animation.

    PS : I'm currently testing my games but I don't remember which one was "replaced" or "brickblocked".
    the one with 3.2_B (from bushing) gives me an error. maybe because it's not PAL (P), but multi zone (D)

    Edit :
    maybe the patching process went wrong, when I check the iso again, I'm getting a bad crc dump not in database.
    I did the patching again and the games are working [​IMG]

    WUM works in 3.3
     
  3. Hellfenix

    Member Hellfenix GBAtemp Regular

    Joined:
    Jun 25, 2005
    Messages:
    204
    Location:
    Canada
    Country:
    Canada
    Well any modified disc needs to be trucha signed therefore won't work in 3.3 unless you you GeckOS
     
  4. Cyan

    Global Moderator Cyan GBATemp's lurking knight

    Joined:
    Oct 27, 2002
    Messages:
    16,395
    Location:
    Engine room, learning
    Country:
    France
    no, it's signed only if the game content has been modified, there is no need for update partition swapping.
     
  5. priapism
    OP

    Member priapism GBAtemp Fan

    Joined:
    May 12, 2008
    Messages:
    374
    Country:
    United States
    so should i update?
    if i don't i am going to have to keep swapping the new updates for older ones.
    are there any problems besides the issues with Trucha signed discs?

    when does a game actually need the newest update? when online play is involved?


    Edit: also, what does Trucha signing do? in what ways are games modified? the only thing i can think of is the Guitar Hero Customs. are those Trucha signed? what are some other examples of games that are Trucha signed?
     
  6. Cyan

    Global Moderator Cyan GBATemp's lurking knight

    Joined:
    Oct 27, 2002
    Messages:
    16,395
    Location:
    Engine room, learning
    Country:
    France
    The trucha is faking the signature by inserting a NULL code in the checking string after a starting good string. The wii accept it as "code readed fully and good".

    it's usually for changing data (Guitar Hero), video region signal (NTSC to PAL), deleting verification in nintendo games (Mario galaxy gave 000001 error), or creating DVD5 from DVD9 (swapping files with dummies in SSBB).
    That's the most used, there are others.
     
  7. priapism
    OP

    Member priapism GBAtemp Fan

    Joined:
    May 12, 2008
    Messages:
    374
    Country:
    United States
    Well i did it. i updated to 3.3U. i think it was the best idea because it seems to be almost all figured out. also, like you mentioned, i wouldn't want to have to jump from 3.2U to 3.4U (if that update ends up messing a lot of stuff up) when i could stay at 3.3U (which i might need to play certain games).

    my results:
    all Homebrew apps work
    all VC and Wiiware Wads work
    all WUM edited games work
    Guitar Hero Custom does not work but i loaded it through GeckoOS and it works

    so all in all i think i am in the clear and i think i made the right choice.

    thanks for the help.
     
  8. Rugapand

    Newcomer Rugapand Advanced Member

    Joined:
    Sep 26, 2007
    Messages:
    95
    Country:
    Sweden
    Does it effect ppf-patched games?

    ( I've ppf-patched an american version of ssbb to remove Dual Channel & 001 error)
     
  9. priapism
    OP

    Member priapism GBAtemp Fan

    Joined:
    May 12, 2008
    Messages:
    374
    Country:
    United States
    i'm not sure. i have a modchip that plays all regions without any problem so the only patching (if you can call it that) i ever do is to use WUM to switch a game update from JAP or EUR to USA. all of the games i did that to still work fine even without running them through GeckoOS.
     
  10. kedest

    Member kedest GBAtemp Psycho!

    Joined:
    Feb 6, 2007
    Messages:
    3,283
    Country:
    Netherlands
    Yes, that does modify the game content. So firmware 3.3 will not run those games, so use gecko os.
     
  11. infinete

    Member infinete The Temp's cynic.

    Joined:
    May 20, 2008
    Messages:
    405
    Location:
    London
    Country:
    United Kingdom
    I'm tempted to update, the only thing currently stopping me is my love for WW games, are they still playable with the wad manager?
     

Share This Page